<nav  >
    <ul class="d-flex justify-content-around flex-end ">
        

        <a routerLink="/login" routerLinkActive="active" style="background-color:black ;text-decoration: none;color: white;" class="ms-4"><i class="fas fa-utensils"></i></a>
        <div class="d-flex justify-content-between">
    <ng-template [ngIf]="!isLoggedIn">
        <a routerLink="/register" routerLinkActive="active" style="text-decoration: none;color: black;" class="ms-4">Register</a>
        <a routerLink="/login" routerLinkActive="active" style="text-decoration: none;color: black;" class="ms-4">Login</a>
    </ng-template>
    <ng-template [ngIf]="isLoggedIn">
        <a (click)="logout()" routerLinkActive="active" style="text-decoration: none;color: black;" class="ms-4">Logout</a>
        <a routerLink="/dashboard" routerLinkActive="active" style="text-decoration: none;color: black;" class="ms-4">Dashboard</a>
          
    </ng-template>
          
    </div>
    </ul>
</nav>
